Bug 244059 - graphics/wayland: update to 1.18
Summary: graphics/wayland: update to 1.18
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-x11 mailing list
URL: https://reviews.freebsd.org/D23643
Keywords: patch
Depends on:
Blocks: 244071
  Show dependency treegraph
 
Reported: 2020-02-12 00:03 UTC by Simon Ser
Modified: 2020-02-14 21:58 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (x11)


Attachments
wlroots dependency backport (don't land) (2.35 KB, patch)
2020-02-12 12:53 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Jan Beich freebsd_committer 2020-02-12 12:53:50 UTC
Created attachment 211588 [details]
wlroots dependency backport (don't land)

> Downstream patch depending on the update: https://github.com/swaywm/wlroots/pull/1765

That PR appears to work fine FreeBSD but I have only one monitor.
Comment 2 Jan Beich freebsd_committer 2020-02-13 17:56:48 UTC
Looks like Alpine and Arch have already updated, leaving wlroots to wait only on FreeBSD.
https://repology.org/project/wayland/history
Comment 3 Baptiste Daroussin freebsd_committer 2020-02-13 18:45:44 UTC
This is not a race, the last update on the review has less than 30min when you do comment. It can wait a couple of hours without making freebsd look that bad.
Comment 4 Simon Ser 2020-02-13 18:49:46 UTC
No worries, waiting a few days is completely fine. I've just created this issue as a heads-up so that this update doesn't get forgotten for half a year or so.

Thanks for keeping FreeBSD a good platform for our CI.
Comment 5 commit-hook freebsd_committer 2020-02-14 11:10:04 UTC
A commit references this bug:

Author: bapt
Date: Fri Feb 14 11:09:48 UTC 2020
New revision: 526103
URL: https://svnweb.freebsd.org/changeset/ports/526103

Log:
  Update to 1.18

  Abi is backward compatible: https://abi-laboratory.pro/tracker/timeline/wayland/
  Port changes:
  - Allow memfd_create on FreeBSD 13 for sealing
  - Drop ms_timeout workaround in favor of upstream fix[1]
  - Drop posix_fallocate patch as it was disabled in r455878
  - Adjust posix_fallocate comment to improve clarity
  - Temporarily revert event loop update until epoll-shim#15 [2] is fixed

  [1]: https://gitlab.freedesktop.org/wayland/wayland/commit/75d14834570b
  [2]: https://github.com/jiixyj/epoll-shim/issues/15

  Build tested on:
      11.3 aarch64
      11.3 amd64
      11.3 armv6
      11.3 i386
      12.0 amd64
      12.0 i386
      12.1 aarch64
      12.1 amd64
      12.1 armv6
      12.1 armv7
      12.1 i386
      13.0 amd64
      13.0 i386
      Base GCC 4.2.1 (mimics powerpc*, mips*, riscv64)

  Run tested with:
      multimedia/libva-intel-driver
      multimedia/mpv
      www/firefox + MOZ_ENABLE_WAYLAND
      x11-servers/xwayland-devel
      x11-wm/cage
      x11-wm/sway
      x11/wl-clipboard

  PR:  244059
  Submitted by: jbeich
  Tested by: manu
  Reviewed by: manu
  Approved by: x11 (bapt)
  Differential Revision: https://reviews.freebsd.org/D23643

Changes:
  head/graphics/wayland/Makefile
  head/graphics/wayland/distinfo
  head/graphics/wayland/files/patch-Makefile.am
  head/graphics/wayland/files/patch-configure.ac
  head/graphics/wayland/files/patch-cursor_os-compatibility.c
  head/graphics/wayland/files/patch-src_event-loop.c
  head/graphics/wayland/files/patch-src_wayland-server.c
  head/graphics/wayland/files/patch-src_wayland-shm.c
  head/graphics/wayland/files/patch-tests_event-loop-test.c
  head/graphics/wayland/files/patch-tests_test-helpers.c
  head/graphics/wayland/files/patch-tests_test-runner.c